MATLAB and Simulink Requirements

Product Requirements & Platform Availability for AUTOSAR Blockset

Supported Platforms

Mac, Windows, Linux

Product Requirements

  • Requires MATLAB
  • Requires Simulink
  • Requires Embedded Coder (to generate AUTOSAR code and export ARXML files)

Eligible for Use with MATLAB Compiler, MATLAB Parallel Server, and Parallel Computing Toolbox local workers:

  • MATLAB Parallel Server and Parallel Computing Toolbox local workers only

Introduced in R2019a

View requirements for another product: